summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEduard Braun <Eduard.Braun2@gmx.de>2017-06-16 19:09:46 +0000
committerEduard Braun <Eduard.Braun2@gmx.de>2017-06-16 20:25:08 +0000
commitb50883a44aade0d93b3436850964a5e876981a35 (patch)
tree9223cad020d6c1ca6934c5256f2080298bb83ec6
parentInstall updated versions of libgc (https://github.com/Alexpux/MINGW-packages/... (diff)
downloadinkscape-b50883a44aade0d93b3436850964a5e876981a35.tar.gz
inkscape-b50883a44aade0d93b3436850964a5e876981a35.zip
Enable tests
(won't fail yet If tests do not complete sucessfully because of frequent SEGFAULTs on exit whose source has yet to be determined)
-rw-r--r--appveyor.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/appveyor.sh b/appveyor.sh
index 6e68af0c8..8258a49fc 100644
--- a/appveyor.sh
+++ b/appveyor.sh
@@ -2,7 +2,8 @@
### functions
message() { echo -e "\e[1;32m\n${1}\n\e[0m"; }
-error() { echo -e "\e[1;31m\nError: ${1}\n\e[0m"; exit 1; }
+warning() { echo -e "\e[1;33m\nWarning: ${1}\n\e[0m"; }
+error() { echo -e "\e[1;31m\nError: ${1}\n\e[0m"; exit 1; }
@@ -61,7 +62,17 @@ ninja install || error "installation failed"
# test
message "--- Running tests"
-inkscape/inkscape.exe -V || error "tests failed"
+# check if the installed executable works
+inkscape/inkscape.exe -V || error "installed executable won't run"
+PATH= inkscape/inkscape.exe -V >/dev/null || error "installed executable won't run with empty PATH (missing dependecies?)"
+err=$(PATH= inkscape/inkscape.exe -V 2>&1 >/dev/null)
+if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
+# check if the uninstalled executable works
+INKSCAPE_DATADIR=../share bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
+err=$(INKSCAPE_DATADIR=../share bin/inkscape.exe -V 2>&1 >/dev/null)
+if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
+# run tests (don't fail yet as most tests SEGFAULT on exit)
+ninja check || warning "tests failed"
message "##### BUILD SUCCESSFULL #####\n\n"